#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h> //for this must add lib file download from Adfruit
#include <Adafruit_SSD1306.h> //for this must add lib file download from adfruit

#define SenseMetricSystem

#define triPin 13 //Pulse pin
#define echoPin 12

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

void setup() {
  Serial.begin (9600);
  pinMode(triPin, OUTPUT);
  pinMode(echoPin, INPUT);
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C); //initialize with the I2C addr 0x3C (128x64)
  display.clearDisplay();

}

void loop() {
  long duration, distance;
  
  digitalWrite(triPin, LOW);  //PULSE
  delayMicroseconds(2); 
  digitalWrite(triPin, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(triPin, LOW);
  
  duration = pulseIn(echoPin, HIGH);
  
  #ifdef SenseMetricSystem
  distance = (duration/2) / 29.1;
  #endif
  #ifdef NonsenseSystem
  distance = (duration/2) / 73.914;
  #endif

  display.setCursor(22,20);  //OLED Display
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.println(distance);
  display.setCursor(85,20);
  display.setTextSize(3);
  
  #ifdef SenseMetricSystem
  display.println("cm");
  #endif
  #ifdef ImperialNonsenseSystem
  display.println("cm");
  #endif
  
  display.display();

  delay(500);
  display.clearDisplay();
 
  Serial.println(distance);
  
 

}
